### Method

# FwupdPlugin Device set_proxy

since: 1.4.1

#### Declaration [src]

    void
    fu_device_set_proxy (
      FuDevice* self,
      FuDevice* proxy
    )

#### Description [src]

Sets any proxy device. A proxy device can be used to perform an action on behalf of another device, for instance attach()ing it after a successful update.

If the `FU_DEVICE_PRIVATE_FLAG_REFCOUNTED_PROXY` flag is present on the device then a strong reference is used, otherwise the proxy will be cleared if `proxy` is destroyed.

Available since: 1.4.1

Sets property | `FwupdPlugin.Device:proxy`

#### Parameters

`proxy`

  Type: `FuDevice`

  A device.

  The data is owned by the caller of the method.